# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/elcurator/version'

Gem::Specification.new do |spec|
  spec.name = 'omniauth-elcurator'
  spec.version = Omniauth::Elcurator::VERSION
  spec.authors = ['Jeremy Venezia']
  spec.email = ['veneziajeremy@gmail.com']

  spec.summary = 'elCurator OAuth2 Strategy for OmniAuth.'
  spec.description = 'elCurator OAuth2 Strategy for OmniAuth - https://elcurator.net'
  spec.homepage = 'https://github.com/elcurator/omniauth-elcurator'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'omniauth-oauth2', '~> 1.2'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'coveralls', '~> 0.8.13'
end
